{% extends 'base.html' %}
{% block content %}
<div>
    <h3>{{ blank.title }}</h3>
    <p><b>Questions count:</b> {{ blank.questions_count }}</p>
    <p>{{ blank.description }}</p>
    
    {% if request.user.is_authenticated %}
        
        <form method="POST" action="{% url 'become-participant' blank_slug=blank.slug %}">
            {% csrf_token %}
            <button type="submit">Start questionnare</button>
        </form>
    
    {% elif blank.with_email_verification %}
        
        <h3>Questionnaires with email verification are not implemented yet</h3>
        
    {% else %}
        
        <form method="POST" action="{% url 'become-anonymous-participant' blank_slug=blank.slug %}">
            {% csrf_token %}
            <button type="submit">Become participant</button>
        </form>

    {% endif %}
</div>
{% endblock content %}